package domain

type AlibabaHmMarketingItempoolCreateactivityItemPoolActivity struct {
	/*
	   通用限购信息，-1为不限制，默认为不限制     */
	LimitInfo *AlibabaHmMarketingItempoolCreateactivityLimitInfo `json:"limit_info,omitempty" `

	/*
	   优惠适用场景[APP|POS|POS+APP分别对应的值为1|2|1,2]     */
	Terminals *[]int32 `json:"terminals,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   参加活动的渠道店ids     */
	ShopIds *[]string `json:"shop_ids,omitempty" `

	/*
	   活动结束时间，时间戳     */
	EndTime *int64 `json:"end_time,omitempty" `

	/*
	   商品池活动的梯度列表     */
	RuleStairs *[]AlibabaHmMarketingItempoolCreateactivityRulestairs `json:"rule_stairs,omitempty" `

	/*
	   活动开始时间，时间戳     */
	StartTime *int64 `json:"start_time,omitempty" `

	/*
	   商品池活动详情描述,不超过30个英文字符     */
	Description *string `json:"description,omitempty" `

	/*
	   商品池活动名称,不超过10个英文字符     */
	ActivityName *string `json:"activity_name,omitempty" `

	/*
	   会员维度活动参与人群限制：-1:不限制 1:会员专享 2:非会员专享     */
	MemberLimit *int64 `json:"member_limit,omitempty" `

	/*
	   商家人群编码     */
	MerchantCrowdCode *string `json:"merchant_crowd_code,omitempty" `

	/*
	   淘鲜达人群编码     */
	TxdCrowdCode *string `json:"txd_crowd_code,omitempty" `

	/*
	   是否是类目活动     */
	IsCategory *bool `json:"is_category,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步渠道配置     */
	ChannelConfigList *[]AlibabaHmMarketingItempoolCreateactivityChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity) SetLimitInfo(v AlibabaHmMarketingItempoolCreateactivityLimitInfo) *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity {
	s.LimitInfo = &v
	return s
}
func (s *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity) SetTerminals(v []int32) *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity {
	s.Terminals = &v
	return s
}
func (s *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity) SetOutActId(v string) *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity) SetShopIds(v []string) *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity {
	s.ShopIds = &v
	return s
}
func (s *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity) SetEndTime(v int64) *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity {
	s.EndTime = &v
	return s
}
func (s *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity) SetRuleStairs(v []AlibabaHmMarketingItempoolCreateactivityRulestairs) *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity {
	s.RuleStairs = &v
	return s
}
func (s *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity) SetStartTime(v int64) *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity {
	s.StartTime = &v
	return s
}
func (s *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity) SetDescription(v string) *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity {
	s.Description = &v
	return s
}
func (s *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity) SetActivityName(v string) *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity {
	s.ActivityName = &v
	return s
}
func (s *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity) SetMemberLimit(v int64) *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity {
	s.MemberLimit = &v
	return s
}
func (s *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity) SetMerchantCrowdCode(v string) *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity {
	s.MerchantCrowdCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity) SetTxdCrowdCode(v string) *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity {
	s.TxdCrowdCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity) SetIsCategory(v bool) *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity {
	s.IsCategory = &v
	return s
}
func (s *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity) SetByChannel(v bool) *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity {
	s.ByChannel = &v
	return s
}
func (s *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity) SetChannelConfigList(v []AlibabaHmMarketingItempoolCreateactivityChannelConfig) *AlibabaHmMarketingItempoolCreateactivityItemPoolActivity {
	s.ChannelConfigList = &v
	return s
}
